Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Spatial Ref Service
- Post an Ocean companion xml encoded as text to create a persistable reference
Post the authority code of a late-bound CRS to create a persistable reference
Post components of an early-bound CRS to create a persistable reference
Post components of a late-bound CRS to create a persistable reference
Post an Ocean textual representation to create a persistable reference
Post a transformation authority code to create a persistable reference
Post an Ocean companion x...
Post a request containing a text-encoded Ocean companion xml to create a persistable reference.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-spatial-reference-service/persistableReference/fromOceanCompanion
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanCompanion \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"oceanCompanionXml": "<?xml version=\"1.0\" encoding=\"utf-8\"?><SpatialCompanion version=\"1.0\"><IEarlyBoundCoordinateReferenceSystem name=\"NAD27 * SIS: Fallback,15851,1693 / UTM zone 11N [26711,158511693]\" crsType=\"Projected\" engine=\"ESRI\" engineVersion=\"PE_10_3_1\"><AuthorityCode>SLB,26711100</AuthorityCode><ILateBoundCoordinateReferenceSystem name=\"NAD_1927_UTM_Zone_11N\"><AuthorityCode>EPSG,26711</AuthorityCode><WKT>PROJCS[\"NAD_1927_UTM_Zone_11N\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",-117.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",26711]]</WKT></ILateBoundCoordinateReferenceSystem><ICompoundTransform name=\"GCS_North_American_1927-to-GCS_WGS_1984 (Fallback) {15851; 1693}\"><AuthorityCode>SIS,550214</AuthorityCode><Description>Compound transform, Fallback policy {EPSG,15851; EPSG,1693}</Description><Policy>Fallback</Policy><CartographicTransforms><ISimpleTransform><AuthorityCode>EPSG,15851</AuthorityCode><WKT>GEOGTRAN[\"NAD_1927_To_WGS_1984_79_CONUS\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NADCON\"],PARAMETER[\"Dataset_conus\",0.0],AUTHORITY[\"EPSG\",15851]]</WKT></ISimpleTransform><ISimpleTransform><AuthorityCode>EPSG,1693</AuthorityCode><WKT>GEOGTRAN[\"NAD_1927_To_WGS_1984_33\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NTv2\"],PARAMETER[\"Dataset_canada/Ntv2_0\",0.0],AUTHORITY[\"EPSG\",1693]]</WKT></ISimpleTransform></CartographicTransforms></ICompoundTransform></IEarlyBoundCoordinateReferenceSystem><Info history=\"Made by Petrel\" /></SpatialCompanion>"
}'Success: Ocean companion to persistable reference conversion successful
The input Ocean companion XML string
Example:"<?xml version=\"1.0\" encoding=\"utf-8\"?><SpatialCompanion version=\"1.0\"><IEarlyBoundCoordinateReferenceSystem name=\"NAD27 * SIS: Fallback,15851,
The created persistable reference on success; null on error
Example:"{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"NAD_1983_UTM_Zone_10N\\\",GEOGCS[\\\"GCS_North_American_1983\\\",DATUM[\\\"D_North_American_1983\\\",SPHEROID
Response
{ "oceanCompanionXml": "<?xml version=\"1.0\" encoding=\"utf-8\"?><SpatialCompanion version=\"1.0\"><IEarlyBoundCoordinateReferenceSystem name=\"NAD27 * SIS: Fallback,15851,1693 / UTM zone 11N [26711,158511693]\" crsType=\"Projected\" engine=\"ESRI\" engineVersion=\"PE_10_3_1\"><AuthorityCode>SLB,26711100</AuthorityCode><ILateBoundCoordinateReferenceSystem name=\"NAD_1927_UTM_Zone_11N\"><AuthorityCode>EPSG,26711</AuthorityCode><WKT>PROJCS[\"NAD_1927_UTM_Zone_11N\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",-117.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",26711]]</WKT></ILateBoundCoordinateReferenceSystem><ICompoundTransform name=\"GCS_North_American_1927-to-GCS_WGS_1984 (Fallback) {15851; 1693}\"><AuthorityCode>SIS…" , "persistableReference": "{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"NAD_1983_UTM_Zone_10N\\\",GEOGCS[\\\"GCS_North_American_1983\\\",DATUM[\\\"D_North_American_1983\\\",SPHEROID[\\\"GRS_1980\\\",6378137.0,298.257222101]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",-123.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",26910]]\",\"ver\":\"PE_10_3_1\",\"name\":\"NAD_1983_UTM_Zone_10N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"26910\"},\"type\":\"LBC\"},\"singleCT\":{\"wkt\":\"GEOGTRAN[\\\"NAD_1983_To_WGS_1984_1\\\",GEOGCS[\\\"GCS_North_American_1983\\\",DATUM[\\\"D_North_American_1983\\\",SPHEROID[\\\"GRS_1980\\\",6378137.0,298.257222101]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],MET…" , "statusInformation": "Success" }